gtk-sharp 2.12.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. GLib.Opaque A represents a single icon in various sizes and widget states. A represents a single icon in various sizes and widget states. It can provide a for a given size and state on request, and automatically caches some of the rendered objects.
- Constructor
  2.12.0.0
  Creates a new . A represents a single icon in various sizes and widget states. It can provide a for a given size and state on request, and automatically caches some of the rendered objects.
- Constructor
  2.12.0.0
  a
  Creates a new with as the default/fallback source image.
- Constructor
  2.12.0.0
  Pointer to the C object.
  Internal constructor

  This is an internal constructor, and should not be used by user code.

- Method
  2.12.0.0
  System.Void `` an object of type Adds an IconSource to the current IconSet.

  Icon sets have a list of , which they use as base icons for rendering icons in different states and sizes. Icons are scaled, made to look insensitive, etc. in , but needs base images to work with. The base images and when to use them are described by a .

  This function copies , so you can reuse the same source immediately without affecting the icon set.

  An example of when you'd use this function: a web browser's "Back to Previous Page" icon might point in a different direction in Hebrew and in English; it might look different when insensitive; and it might change size depending on toolbar mode (small/large icons). So a single icon set would contain all those variants of the icon, and you might add a separate source for each one.

  You should nearly always add a "default" icon source with all fields wildcarded, which will be used as a fallback if no more specific source matches. always prefers more specific icon sources to more generic icon sources. The order in which you add the sources to the icon set does not matter.

  This constructor creates a new icon set with a default icon source based on the given pixbuf.

- Method
  2.12.0.0
  Gtk.IconSet Copy the IconSet by value. a copy of the current IconSet
- Method
  2.12.0.0
  System.Void To be added. To be added.
- Property
  2.12.0.0
  GLib.GType GType Property. a Returns the native value for .
- Method
  2.12.0.0
  System.Obsolete("Gtk.IconSet is now refcounted automatically")
  Gtk.IconSet Increments the reference count. the IconSet with the incremented reference count
- Method
  2.12.0.0
  System.Void `` To be added. To be added. To be added.
- Method
  2.12.0.0
  Gdk.Pixbuf `` `` `` `` `` `` a associated with widget, or The text direction The widget state The size of the icon widget that will display the icon, or detail to pass to the theme engine, or Renders an icon using a to be displayed Renders an icon using . In most cases, is better, since it automatically provides most of the arguments from the current widget settings. This function never returns ; if the icon can't be rendered (perhaps because an image file fails to load), a default "missing image" icon will be returned instead.
- Property
  2.12.0.0
  Gtk.IconSize[] The available icon sizes on this system. a
- Method
  2.12.0.0
  System.Obsolete("Gtk.IconSet is now refcounted automatically")
  System.Void Decrements the reference count Decrements the reference count, and frees memory if the reference count reaches 0.
- Method
  2.12.0.0
  System.Void `` To be added. To be added. To be added.